GroovyLexer (Groovy 5.0.6)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLexer

- org.apache.groovy.parser.antlr4.GroovyLexer

-     public class GroovyLexer
      extends AbstractLexer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DQ_GSTRING_MODE` |
    `static int` | `StringLiteral` |
    `static Vocabulary` | `VOCABULARY` |
    `static ATN` | `_ATN` |
    `static String` | `_serializedATN` |
    `static String[]` | `channelNames` |
    `static String[]` | `modeNames` |
    `static String[]` | `ruleNames` |
    `static String[]` | `tokenNames` | deprecated: Use VOCABULARY instead.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLexer(CharStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `action(RuleContext _localctx, int ruleIndex, int actionIndex)`
    `` | `public void` | `emit(Token token)` Record the index and token type of the current token while emitting tokens.
    `` | `protected void` | `enterParenCallback(String text)`
    `` | `protected void` | `exitParenCallback(String text)`
    `` | `public String[]` | `getChannelNames()`
    `` | `public int` | `getErrorColumn()`
    `` | `public int` | `getErrorLine()`
    `` | `public String` | `getGrammarFileName()`
    `` | `public String[]` | `getModeNames()`
    `` | `public String[]` | `getRuleNames()`
    `` | `public String` | `getSerializedATN()`
    `` | `public int` | `getSyntaxErrorSource()`
    `` | `public String[]` | `getTokenNames()`
    `` | `public Vocabulary` | `getVocabulary()`
    `` | `protected void` | `handleComment(int type, Supplier<String> textSupplier)`
    `` | `public boolean` | `isErrorIgnored()`
    `` | `public int` | `popMode()`
    `` | `protected void` | `rollbackOneChar()` just a hook, which will be overrided by GroovyLangLexer
    `` | `public boolean` | `sempred(RuleContext _localctx, int ruleIndex, int predIndex)`
    `` | `public void` | `setErrorIgnored(boolean errorIgnored)`

- - ### Field Detail

    - #### public static final int DQ_GSTRING_MODE

    - #### public static final int StringLiteral

    - #### public static final Vocabulary VOCABULARY

    - #### public static final ATN _ATN

    - #### public static final String _serializedATN

    - #### public static String[] channelNames

    - #### public static String[] modeNames

    - #### public static final String[] ruleNames

    - #### @Deprecated
      public static final String[] tokenNames

      deprecated:
        Use VOCABULARY instead.

  - ### Constructor Detail

    - #### public GroovyLexer(CharStream input)

  - ### Method Detail

    - #### @Override
      public void action(RuleContext _localctx, int ruleIndex, int actionIndex)

    - #### @Override
      public void emit(Token token)

      Record the index and token type of the current token while emitting tokens.

    - #### protected void enterParenCallback(String text)

    - #### protected void exitParenCallback(String text)

    - #### @Override
      @NotNull
      public String[] getChannelNames()

    - #### @Override
      public int getErrorColumn()

    - #### @Override
      public int getErrorLine()

    - #### @Override
      public String getGrammarFileName()

    - #### @Override
      @NotNull
      public String[] getModeNames()

    - #### @Override
      public String[] getRuleNames()

    - #### @Override
      public String getSerializedATN()

    - #### @Override
      public int getSyntaxErrorSource()

    - #### @Override
      @Deprecated
      public String[] getTokenNames()

    - #### @Override
      @NotNull
      public Vocabulary getVocabulary()

    - #### protected void handleComment(int type, Supplier<String> textSupplier)

    - #### public boolean isErrorIgnored()

    - #### @Override
      public int popMode()

    - #### protected void rollbackOneChar()

      just a hook, which will be overrided by GroovyLangLexer

    - #### @Override
      public boolean sempred(RuleContext _localctx, int ruleIndex, int predIndex)

    - #### public void setErrorIgnored(boolean errorIgnored)